package com.sinosig.core.external.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.external.domain.SYXBJ;
import com.sinosig.core.external.filter.SYXBJSearchContext;

/**
 * 实体[SYXBJ] 服务对象接口
 */

public interface ISYXBJService{
     boolean save(SYXBJ syxbj) ;
     boolean remove(String syxbjid) ;
     SYXBJ getDraft(SYXBJ syxbj) ;
     boolean checkKey(SYXBJ syxbj) ;
     boolean update(SYXBJ syxbj) ;
     boolean create(SYXBJ syxbj) ;
     SYXBJ get(String syxbjid) ;
     SYXBJ get(SYXBJ syxbj) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<SYXBJ> searchDefault(SYXBJSearchContext context) ;

}
